Skip to main content
GET
/
1
/
columns
/
{datasetSlug}
List all Columns
curl --request GET \
  --url https://api.honeycomb.io/1/columns/{datasetSlug} \
  --header 'X-Honeycomb-Team: <api-key>'
import requests

url = "https://api.honeycomb.io/1/columns/{datasetSlug}"

headers = {"X-Honeycomb-Team": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Honeycomb-Team': '<api-key>'}};

fetch('https://api.honeycomb.io/1/columns/{datasetSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "yUheCUmgZ8p",
    "key_name": "my_column",
    "hidden": false,
    "description": "",
    "type": "integer",
    "last_written": "2022-07-26T22:38:05Z",
    "created_at": "2022-07-26T22:38:04Z",
    "updated_at": "2022-07-26T22:38:04Z"
  },
  {
    "id": "yUheCUmgZ8q",
    "key_name": "other_column",
    "hidden": false,
    "description": "",
    "type": "string",
    "last_written": "2022-07-26T22:38:05Z",
    "created_at": "2022-07-26T22:38:04Z",
    "updated_at": "2022-07-26T22:38:04Z"
  }
]

Authorizations

X-Honeycomb-Team
string
header
required

Authenticate using a Honeycomb Configuration Key.

Pass the Token in the X-Honeycomb-Team header:

X-Honeycomb-Team: 1234567890123456789012

If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.

To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.

Path Parameters

datasetSlug
string
required

The dataset slug or use __all__ for endpoints that support environment-wide operations.

Query Parameters

key_name
string

the column key name

Response

When listing all columns, an array of Column objects will be returned. When using key_name, will return a single Column object if found.

key_name
string
required

Name of the Column.

Required string length: 1 - 255
Example:

"my_column"

type
enum<string>
default:string

Type of data that the Column will contain. Histogram is in beta and only works in your Metrics dataset.

Available options:
string,
float,
integer,
boolean,
histogram
Example:

"integer"

description
string

Column description.

Maximum string length: 255
Example:

"An integer column"

hidden
boolean
default:false

If true, the column is excluded from autocomplete and raw data field lists.

id
string
read-only

Unique identifier (ID), returned in response bodies.

last_written
string
read-only

ISO8601 formatted time the column was last written to (received event data).

created_at
string
read-only

ISO8601 formatted time the column was created.

updated_at
string
read-only

ISO8601 formatted time the column was updated.